"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421c790>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421c820>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421c8b0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421c940>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421c9d0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421ca60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421caf0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421cb80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421cc10>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421cca0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421cd30>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421cdc0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421ce50>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421cee0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff8421cf70>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221040>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff842210d0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221160>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff842211f0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221280>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221310>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff842213a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221430>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff842214c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff842215e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221550>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221670>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221700>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221790>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221820>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff842218b0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221940>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff842219d0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221a60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221af0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221b80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221c10>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221ca0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221d30>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221dc0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221e50>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221ee0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff84221f70>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225040>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff842250d0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225160>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff842251f0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225280>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225310>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff842253a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225430>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff842254c0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225550>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff842255e0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225670>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225700>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225790>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225820>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff842258b0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225940>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff842259d0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225a60>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225af0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225b80>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225c10>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225dc0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225ca0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225e50>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225ee0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff84225f70>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff84229040>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff842290d0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff842291f0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff84229160>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff84229280>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff84229310>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff842293a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff842294c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff84229430>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff84229550>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff842295e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff84229670>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff84229700>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff84229790>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff84229820>)]
name: str = 'fr_HOCCN'
